# Poco::Net

# class EscapeHTMLStreamBuf

Library: Net
Package: HTTP
Header: Poco/Net/EscapeHTMLStream.h

## Description

This stream buffer replaces all occurrences of special HTML characters < > " & with their respective character entities &lt; &gt; &quot; &amp;.

## Inheritance

Direct Base Classes: Poco::UnbufferedStreamBuf

All Base Classes: Poco::UnbufferedStreamBuf

## Member Summary

Member Functions: readFromDevice, writeToDevice

## Constructors

### EscapeHTMLStreamBuf

EscapeHTMLStreamBuf(
std::ostream & ostr
);

Creates the EscapeHTMLStreamBuf and connects it to the given output stream.

## Destructor

### ~EscapeHTMLStreamBuf

~EscapeHTMLStreamBuf();

Destroys the EscapeHTMLStreamBuf.

## Member Functions

### readFromDevice

int readFromDevice();

### writeToDevice

int writeToDevice(
char c
);